View Issue Details

IDProjectCategoryView StatusLast Update
0005172Talerexchange API (HTTP specification)public2021-09-02 18:14
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.5Fixed in Version0.5 
Summary0005172: Eliminate /admin/add/incoming
DescriptionThis API is bad style. In practice, no bank is going to notify _us_. We expect to have taler-exchange-wirewatch poll the bank and notify the exchange whenever there is a wire transfer (just like the aggregator does the outgoing transfers), and we should use wirewatch also with the Taler bank.

The bank now does have (the beginnings of?) a /history API to obtain transactions. We should make sure the 'test' plugin works with /history, get wirewatch to work with the Taler bank, and eliminate /admin/add/incoming.
TagsNo tags attached.

Relationships

parent of 0005174 closedChristian Grothoff UUIDs of taler-merchant-generate-payments are not unique, but always 1 
related to 0005191 closedMarcello Stanisci Python bank needs to implement /reject API (and related updates) 
related to 0005211 closedMarcello Stanisci deployment should use taler-exchange-wirewatch 

Activities

Christian Grothoff

2017-12-10 16:03

manager   ~0012653

d36de3b..6623afa removes the need for /admin/add/incoming from the exchange-lib testcase. exchange-benchmark, merchant-lib-test and merchant-benchmark are the remaining users.

Christian Grothoff

2017-12-10 21:43

manager   ~0012659

Done removing need for the API, except for taler-merchant-generate-payments, which still uses /admin/add/incoming. Addressing that one will also implicitly fix 0005174 ;-)

Christian Grothoff

2017-12-14 13:36

manager   ~0012681

Now just blocked on 0005211.

Christian Grothoff

2017-12-14 13:50

manager   ~0012682

Patch is ready, waiting on 0005211 before pushing it.

Christian Grothoff

2017-12-14 16:03

manager   ~0012690

229907c6e233609ccfafe1823f281581bf5e9680

Christian Grothoff

2021-09-02 18:14

manager   ~0018288

Fix committed to master branch.

Related Changesets

exchange: master 1897d65a

2017-12-14 13:49:24

Christian Grothoff

Details Diff
eliminate /admin/add/incoming (fixes 0005172) Affected Issues
0005172
mod - doc/taler-exchange.texi Diff File
mod - src/exchange/Makefile.am Diff File
mod - src/exchange/exchange.conf Diff File
mod - src/exchange/taler-exchange-httpd.c Diff File
rm - src/exchange/taler-exchange-httpd_admin.c Diff File
rm - src/exchange/taler-exchange-httpd_admin.h Diff File

Issue History

Date Modified Username Field Change
2017-11-04 18:48 Christian Grothoff New Issue
2017-11-04 18:48 Christian Grothoff Status new => assigned
2017-11-04 18:48 Christian Grothoff Assigned To => Christian Grothoff
2017-11-04 18:49 Christian Grothoff Target Version => 0.7.1
2017-11-08 19:52 Christian Grothoff Relationship added parent of 0005174
2017-12-06 12:47 Christian Grothoff Relationship added related to 0005191
2017-12-10 16:03 Christian Grothoff Note Added: 0012653
2017-12-10 21:43 Christian Grothoff Note Added: 0012659
2017-12-10 21:46 Christian Grothoff Relationship added related to 0005211
2017-12-14 13:36 Christian Grothoff Note Added: 0012681
2017-12-14 13:50 Christian Grothoff Target Version 0.7.1 => 0.5
2017-12-14 13:50 Christian Grothoff Note Added: 0012682
2017-12-14 16:03 Christian Grothoff Status assigned => resolved
2017-12-14 16:03 Christian Grothoff Resolution open => fixed
2017-12-14 16:03 Christian Grothoff Fixed in Version => 0.5
2017-12-14 16:03 Christian Grothoff Note Added: 0012690
2018-04-15 20:34 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 1897d65a
2021-09-02 18:14 Christian Grothoff Note Added: 0018288